Update user's profile
curl --request PATCH \
--url https://console.gmicloud.ai/api/v1/me/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "john",
"lastName": "doe"
}
'import requests
url = "https://console.gmicloud.ai/api/v1/me/profile"
payload = {
"firstName": "john",
"lastName": "doe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({firstName: 'john', lastName: 'doe'})
};
fetch('https://console.gmicloud.ai/api/v1/me/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": "user",
"code": 3,
"message": "Either firstName or lastName must be provided in the request body."
}{
"group": "user",
"code": 1401,
"message": "Update user data encountered DB error.",
"traces": [
"DB error occurred."
]
}me
Update user's profile
Update the current authenticated user’s profile. Either firstName or lastName should be provided in the request body.
PATCH
/
me
/
profile
Update user's profile
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Body
application/json
The profile update request body. Either firstName or lastName should be provided.
Response
Successfully updated the user's profile.
⌘I